/*
	Obsuga podstawowego alertu na bdy severity 16; tworzy operatora, alerty i przypisuje powiadamianie
*/

-- utwrz operatora
USE [msdb]
GO
EXEC msdb.dbo.sp_add_operator
		@name				= N'Bartek', 
		@enabled			= 1, 
		@pager_days			= 0, 
		@email_address		= N'bartek@bartekr.net', 
		@pager_address		= N'', 
		@netsend_address	= N'GRATCH'
GO

-- utwrz alert
EXEC msdb.dbo.sp_add_alert
		@name							= N'Alert - severity 16', 
		@message_id						= 0, 
		@severity						= 16, 
		@enabled						= 1, 
		@delay_between_responses		= 0, 
		@include_event_description_in	= 0, 
		@category_name					= N'[Uncategorized]', 
		@job_id							= N'00000000-0000-0000-0000-000000000000'
GO

-- ustaw powiadomienia mailowe (@notification_method = 1)
EXEC msdb.dbo.sp_add_notification
	@alert_name				= N'Alert - severity 16',
	@operator_name			= N'Bartek',
	@notification_method	= 1
GO


-- wywoaj bdy i sprawd skrzynk pocztow lub sprawd list alertw; 
-- WITH LOG, eby bdy poszy do logu, inaczej SQL Agent ich nie zobaczy
RAISERROR ('Error 16 raised.', 16,  1) WITH LOG;

-- lista alertw
-- SELECT * FROM msdb.dbo.sysalerts
SELECT
	occurrence_count,
	[occurence_dt]	= CONCAT(last_occurrence_date, ' ', RIGHT('000000' + CAST(last_occurrence_time AS VARCHAR(6)), 6)),
	'==>', * 
FROM msdb.dbo.sysalerts